var levelup = require('level');
var enabled = require('./enabled');
var io = enabled && levelup(process.env.EKSI_DB || './db');


module.exports = {
  get: get,
  set: set
};

function get (key, callback) {
  if (!enabled) return callback();
  io.get(key, callback);
}

function set (key, value, callback) {
  if (!enabled) return callback();
  io.put(key, value, callback);
}
