var debug = require("./debug")('topic');
var eksi = require('eksi-sozluk');
var cached = require('./cached');

module.exports = cached('topic', topic);

function topic (title, page, callback) {
  debug('Fetching %s', title);
  eksi.page(title, page, function (error, entries, pageCount) {
    if (error) return callback(error);

    callback(undefined, {
      page_count: pageCount,
      entries: entries
    });
  });
}
